from conans import CMake, ConanFile


class GeneticImageConan(ConanFile):
    settings = "os", "compiler", "build_type", "arch"
    generators = "cmake", "compiler_args", "txt"

    def requirements(self):
        self.requires('opencv/4.0.1@conan/stable')
        self.requires("boost_program_options/1.69.0@bincrafters/stable")
        self.requires("spdlog/1.3.1@bincrafters/stable")
        self.options['opencv'].gtk = None
        self.options['opencv'].tiff = False
        self.options['opencv'].openexr = False

    def imports(self):
        self.copy("*.dll", dst="bin", src="bin")  # From bin to bin
        self.copy("*.dylib*", dst="bin", src="lib")  # From lib to bin

    def build(self):
        cmake = CMake(self)
        cmake.configure()
        cmake.build()
